%define anonymous_check_version 0.11.0-1
%define globalhotkeys_version 0.11-31
%define lednotify_version 0.11-32
%define mime_tex_version 0.6.6.6
%define nextinfo_version 0.11-8
%define panelkadu_version 0.11-9
%define senthistory_version 0.11-10
%define import_history_version 0.11.0

Name:           kadu
Version:        0.11.3
Release:        %mkrel 1
Summary:        A Gadu-Gadu client for online messaging
License:        GPLv2+ and CC-BY-SA and GPLv3+
Group:          Networking/Instant messaging
URL:            http://www.kadu.net
Source0:        http://download.kadu.im/stable/%{name}-%{version}.tar.bz2
Source1:        %{name}.desktop

#Modules sources
Source10:       http://kadu.net/~patryk/plugins/anonymous_check/%{anonymous_check_version}/anonymous_check-%{anonymous_check_version}.tar.bz2
Source11:       http://www.ultr.pl/kadu/globalhotkeys-%{globalhotkeys_version}.tar.gz
Source12:       http://www.ultr.pl/kadu/lednotify-%{lednotify_version}.tar.gz
Source13:       http://kadu.net/~patryk/mime_tex/mime_tex-%{mime_tex_version}.tar.bz2
Source14:       http://www.ultr.pl/kadu/nextinfo-%{nextinfo_version}.tar.gz
Source15:       http://www.ultr.pl/kadu/panel%{name}-%{panelkadu_version}.tar.gz
Source16:       http://www.ultr.pl/kadu/senthistory-%{senthistory_version}.tar.gz
Source17:       http://kicer.sileman.net.pl/kadu/import_history-%{import_history_version}.tar.bz2

Source30:       http://www.kadu.net/download/additions/%{name}-sound-bns.tar.bz2
Source31:       http://www.kadu.net/download/additions/%{name}-sound-drums.tar.bz2
Source32:       http://www.kadu.net/download/additions/%{name}-sound-florkus.tar.bz2
Source33:       http://www.kadu.net/download/additions/%{name}-sound-michalsrodek.tar.bz2
Source34:       http://www.kadu.net/download/additions/%{name}-sound-percussion.tar.bz2

BuildRequires:  libpng-devel
BuildRequires:  desktop-file-utils
BuildRequires:  cmake
BuildRequires:  qt4-devel
BuildRequires:	pkgconfig(QtWebKit)
BuildRequires:  libmpdclient-devel
BuildRequires:  libsndfile-devel

#most common modules
Suggests:       %{name}-module-gadu_protocol
Suggests:       %{name}-module-jabber_protocol
Suggests:       %{name}-module-sql_history
Suggests:       %{name}-module-qt4_docking
Suggests:       %{name}-module-hints
Suggests:       %{name}-module-config_wizard
#remove in the future:
Suggests:       %{name}-module-history_migration

Obsoletes:      %{name}-sound_ultr < 0.11.2
Obsoletes:      %{name}-emoticons_gg6_compatible < 0.11.2

%description
Kadu is a dynamically evolving instant messenger compatible with the Gadu-Gadu
protocol. It can be run on all platforms supporting the Qt toolkit (except
Windows).

Compiled as modular as possible.

Static modules are:
- docking
- sound


#----------Modules----------

%package module-antistring
Summary:        Antistring module for %{name}
Group:          Networking/Instant messaging
Requires:       %{name} = %{version}-%{release}

%description module-antistring
Antistring module.


%files module-antistring
%dir %{_datadir}/%{name}/plugins/data/antistring
%{_libdir}/%{name}/plugins/libantistring.so
%{_datadir}/%{name}/plugins/antistring.desc
%{_datadir}/%{name}/plugins/configuration/antistring.ui
%{_datadir}/%{name}/plugins/data/antistring/*.conf
%{_datadir}/%{name}/plugins/translations/antistring_*.qm

#---------------------------

%package module-anonymous_check
Summary:        Automatic lookup of an interlocutor in a public directory module
Group:          Networking/Instant messaging
Requires:       %{name} = %{version}-%{release}

%description module-anonymous_check
Module for automatic lookup of an interlocutor in a public directory.


%files module-anonymous_check
%{_datadir}/%{name}/plugins/anonymous_check.desc
%{_datadir}/%{name}/plugins/translations/anonymous_check_pl.qm
%{_libdir}/%{name}/plugins/libanonymous_check.so

#---------------------------

%package module-autoaway
Summary:        Autoaway module
Group:          Networking/Instant messaging
Requires:       %{name} = %{version}-%{release}
Requires:       %{name}-module-idle = %{version}-%{release}

%description module-autoaway
Module for automatic status changes.


%files module-autoaway
%{_datadir}/%{name}/plugins/autoaway.desc
%{_datadir}/%{name}/plugins/configuration/autoaway.ui
%{_libdir}/%{name}/plugins/libautoaway.so
%{_datadir}/%{name}/plugins/translations/autoaway_*.qm

#---------------------------

%package module-auto_hide
Summary:        Auto hide %{name} window
Group:          Networking/Instant messaging
Requires:       %{name} = %{version}-%{release}
Requires:       %{name}-module-idle = %{version}-%{release}

%description module-auto_hide
Auto hide Kadu window.


%files module-auto_hide
%{_libdir}/%{name}/plugins/libauto_hide.so
%{_datadir}/%{name}/plugins/auto_hide.desc
%{_datadir}/%{name}/plugins/configuration/auto_hide.ui
%{_datadir}/%{name}/plugins/translations/auto_hide_*.qm

#---------------------------

%package module-auto_responder
Summary:        Autoresponder module
Group:          Networking/Instant messaging
Requires:       %{name} = %{version}-%{release}

%description module-auto_responder
Autoresponder module.


%files module-auto_responder
%{_datadir}/%{name}/plugins/autoresponder.desc
%{_datadir}/%{name}/plugins/configuration/autoresponder.ui
%{_libdir}/%{name}/plugins/libautoresponder.so
%{_datadir}/%{name}/plugins/translations/autoresponder_*.qm

#---------------------------

%package module-autostatus
Summary:        Automatic status change module for kadu
Group:          Networking/Instant messaging
Requires:       %{name} = %{version}-%{release}

%description module-autostatus
Automatic status change module for kadu.


%files module-autostatus
%{_libdir}/%{name}/plugins/libautostatus.so
%{_datadir}/%{name}/plugins/autostatus.desc
%{_datadir}/%{name}/plugins/configuration/autostatus.ui
%{_datadir}/%{name}/plugins/translations/autostatus_*.qm

#---------------------------

%package module-cenzor
Summary:        Censor module for Kadu
Group:          Networking/Instant messaging
Requires:       %{name} = %{version}-%{release}

%description module-cenzor
Censor module for %{name}.


%files module-cenzor
%dir %{_datadir}/%{name}/plugins/data/cenzor
%{_libdir}/%{name}/plugins/libcenzor.so
%{_datadir}/%{name}/plugins/cenzor.desc
%{_datadir}/%{name}/plugins/configuration/cenzor.ui
%{_datadir}/%{name}/plugins/data/cenzor/*.conf
%{_datadir}/%{name}/plugins/translations/cenzor_*.qm

#---------------------------

%package module-chat_notify
Summary:        Chat notify module for Kadu
Group:          Networking/Instant messaging
Requires:       %{name} = %{version}-%{release}

%description module-chat_notify
Chat notify module for %{name}.


%files module-chat_notify
%{_libdir}/%{name}/plugins/libchat_notify.so
%{_datadir}/%{name}/plugins/chat_notify.desc
%{_datadir}/%{name}/plugins/translations/chat_notify_*.qm

#---------------------------

%package module-config_wizard
Summary:        Configuration wizard
Group:          Networking/Instant messaging
Requires:       %{name} = %{version}-%{release}

%description module-config_wizard
Configuration wizard.


%files module-config_wizard
%{_datadir}/%{name}/plugins/config_wizard.desc
%{_libdir}/%{name}/plugins/libconfig_wizard.so
%{_datadir}/%{name}/plugins/translations/config_wizard_*.qm

#---------------------------

%package module-desktop_docking
Summary:        Always on top window docking
Group:          Networking/Instant messaging
Requires:       %{name} = %{version}-%{release}
# Requires:     %{name}-module-docking = %{version}-%{release}  build-in

%description module-desktop_docking
Always on top window docking module.


%files module-desktop_docking
%{_datadir}/%{name}/plugins/desktop_docking.desc
%{_datadir}/%{name}/plugins/configuration/desktop_docking.ui
%{_libdir}/%{name}/plugins/libdesktop_docking.so
%{_datadir}/%{name}/plugins/translations/desktop_docking_*.qm

#---------------------------

%package module-encryption_ng
Summary:        Chat encryption module
Group:          Networking/Instant messaging
Requires:       %{name} = %{version}-%{release}
BuildRequires:  libopenssl-devel
# BuildRequires:	libcrypto   ??

%description module-encryption_ng
Module for encrypting your chats.


%files module-encryption_ng
%{_datadir}/%{name}/plugins/encryption_ng.desc
%{_datadir}/%{name}/plugins/configuration/encryption-ng.ui
%{_libdir}/%{name}/plugins/libencryption_ng.so
%{_datadir}/%{name}/plugins/translations/encryption_ng_*.qm

#---------------------------

%package module-encryption_ng_simlite
Summary:        OpenSSL chat encryption module
Group:          Networking/Instant messaging
Requires:       %{name} = %{version}-%{release}
Requires:       %{name}-module-encryption_ng = %{version}-%{release}
BuildRequires:  qca2-devel

%description module-encryption_ng_simlite
Module for encrypting your chats with OpenSSL.

%files module-encryption_ng_simlite
%{_datadir}/%{name}/plugins/encryption_ng_simlite.desc
%{_libdir}/%{name}/plugins/libencryption_ng_simlite.so
%{_datadir}/%{name}/plugins/translations/encryption_ng_simlite_*.qm

#---------------------------

%package module-exec_notify
Summary:        Notification by external commands module
Group:          Networking/Instant messaging
Requires:       %{name} = %{version}-%{release}

%description module-exec_notify
Notification by external commands module.


%files module-exec_notify
%{_datadir}/%{name}/plugins/exec_notify.desc
%{_libdir}/%{name}/plugins/libexec_notify.so
%lang(pl) %{_datadir}/%{name}/plugins/translations/exec_notify_*.qm

#---------------------------

%package module-ext_sound
Summary:        External application sound support
Group:          Networking/Instant messaging
Requires:       %{name} = %{version}-%{release}

%description module-ext_sound
External application sound support module.


%files module-ext_sound
%{_datadir}/%{name}/plugins/ext_sound.desc
%{_datadir}/%{name}/plugins/configuration/ext_sound.ui
%{_libdir}/%{name}/plugins/libext_sound.so
%{_datadir}/%{name}/plugins/translations/ext_sound_*.qm

#---------------------------

%package module-filedesc
Summary:        Descriptions from file module
Group:          Networking/Instant messaging
Requires:       %{name} = %{version}-%{release}

%description module-filedesc
Descriptions from file module.


%files module-filedesc
%{_datadir}/%{name}/plugins/filedesc.desc
%{_datadir}/%{name}/plugins/configuration/filedesc.ui
%{_libdir}/%{name}/plugins/libfiledesc.so
%{_datadir}/%{name}/plugins/translations/filedesc_*.qm

#---------------------------

%package module-firewall
Summary:        Firewall module - protection against unwanted chats
Group:          Networking/Instant messaging
Requires:       %{name} = %{version}-%{release}

%description module-firewall
Firewall module - protection against unwanted chats.


%files module-firewall
%{_datadir}/%{name}/plugins/firewall.desc
%{_datadir}/%{name}/plugins/configuration/firewall.ui
%{_libdir}/%{name}/plugins/libfirewall.so
%{_datadir}/%{name}/plugins/translations/firewall_*.qm

#---------------------------

%package module-freedesktop_notify
Summary:        Freedesktop notification support
Group:          Networking/Instant messaging
Requires:       %{name} = %{version}-%{release}

%description module-freedesktop_notify
Freedesktop notification support.


%files module-freedesktop_notify
%{_datadir}/%{name}/plugins/configuration/freedesktop_notify.ui
%{_datadir}/%{name}/plugins/freedesktop_notify.desc
%{_libdir}/%{name}/plugins/libfreedesktop_notify.so
%{_datadir}/%{name}/plugins/translations/freedesktop_notify_*.qm

#---------------------------

%package module-gadu_protocol
Summary:        GaduGadu protocol support
Group:          Networking/Instant messaging
Requires:       %{name} = %{version}-%{release}
BuildRequires:  libgadu-devel >= 1.9.1

%description module-gadu_protocol
GaduGadu protocol support.


%files module-gadu_protocol
%{_datadir}/%{name}/plugins/gadu_protocol.desc
%{_datadir}/%{name}/plugins/data/gadu_protocol/servers.txt
%{_libdir}/%{name}/plugins/libgadu_protocol.so
%{_datadir}/%{name}/plugins/translations/gadu_protocol_*.qm

#---------------------------

%package module-globalhotkeys
Summary:        Hotkeys support for kadu
Group:          Networking/Instant messaging
Requires:       %{name} = %{version}-%{release}
Requires:       %{name}-module-history = %{version}-%{release}

%description module-globalhotkeys
Hotkeys support for kadu.


%files module-globalhotkeys
%{_libdir}/%{name}/plugins/libglobalhotkeys.so
%{_datadir}/%{name}/plugins/configuration/globalhotkeys.ui
%{_datadir}/%{name}/plugins/globalhotkeys.desc
%{_datadir}/%{name}/plugins/translations/globalhotkeys_*.qm

#---------------------------

%package module-hints
Summary:        Notification by hints module
Group:          Networking/Instant messaging
Requires:       %{name} = %{version}-%{release}

%description module-hints
Notification by hints module.


%files module-hints
%{_datadir}/%{name}/plugins/hints.desc
%{_datadir}/%{name}/plugins/configuration/hints.ui
%{_datadir}/%{name}/plugins/configuration/hint-over-user.ui
%{_datadir}/%{name}/plugins/configuration/hints-advanced.ui
%{_datadir}/%{name}/plugins/configuration/hints-notifier.ui
%{_libdir}/%{name}/plugins/libhints.so
%{_datadir}/%{name}/plugins/translations/hints_*.qm

#---------------------------

%package module-history
Summary:        History module for Kadu
Group:          Networking/Instant messaging
Requires:       %{name} = %{version}-%{release}
Requires:       qt4-database-plugin-sqlite

%description module-history
History module.


%files module-history
%{_datadir}/%{name}/plugins/history.desc
%{_datadir}/%{name}/plugins/configuration/history.ui
%{_libdir}/%{name}/plugins/libhistory.so
%{_datadir}/%{name}/plugins/translations/history_*.qm

#---------------------------

%package module-history_migration
Summary:        History migration module from Kadu < 0.6.6
Group:          Networking/Instant messaging
Requires:       %{name} = %{version}-%{release}
Requires:       %{name}-module-sql_history = %{version}-%{release}
Requires:       %{name}-module-gadu_protocol = %{version}-%{release}

%description module-history_migration
History migration module from Kadu < 0.6.6.
You only need it if you want to migrate your history format from kadu < 0.6.6.
After migration you will not need it.


%files module-history_migration
%{_datadir}/%{name}/plugins/history_migration.desc
%{_libdir}/%{name}/plugins/libhistory_migration.so
%{_datadir}/%{name}/plugins/translations/history_migration_*.qm

#---------------------------

%package module-idle
Summary:        Idle Timer
Group:          Networking/Instant messaging
Requires:       %{name} = %{version}-%{release}
BuildRequires:	libxscrnsaver-devel >= 1.2.1

%description module-idle
Module for detecting idle.


%files module-idle
%{_datadir}/%{name}/plugins/idle.desc
%{_libdir}/%{name}/plugins/libidle.so

#---------------------------

%package module-imagelink
Summary:        Automatic images and YouTube links parser
Group:          Networking/Instant messaging
Requires:       %{name} = %{version}-%{release}

%description module-imagelink
Automatic images and YouTube links parser.


%files module-imagelink
%{_datadir}/%{name}/plugins/imagelink.desc
%{_datadir}/%{name}/plugins/configuration/image-link.ui
%{_libdir}/%{name}/plugins/libimagelink.so
%{_datadir}/%{name}/plugins/translations/imagelink_*.qm

#---------------------------

%package module-importhistory
Summary:        Import history from GG client
Group:          Networking/Instant messaging
Requires:       %{name} = %{version}-%{release}
Requires:       %{name}-module-history = %{version}-%{release}

%description module-importhistory
Import history from GG client.


%files module-importhistory
%{_datadir}/%{name}/plugins/import_history.desc
%{_libdir}/%{name}/plugins/libimport_history.so
%{_datadir}/%{name}/plugins/translations/import_history_*.qm

#---------------------------

%package module-jabber_protocol
Summary:        MPP/Jabber protocol support
Group:          Networking/Instant messaging
Requires:       %{name} = %{version}-%{release}
BuildRequires:  libidn-devel
BuildRequires:  qca2-devel

%description module-jabber_protocol
MPP/Jabber protocol support.


%files module-jabber_protocol
%{_datadir}/%{name}/plugins/configuration/jabber_protocol.ui
%{_datadir}/%{name}/plugins/jabber_protocol.desc
%{_datadir}/%{name}/themes/icons/default/protocols/xmpp/*
%{_libdir}/%{name}/plugins/libjabber_protocol.so
%{_datadir}/%{name}/plugins/translations/jabber_protocol_*.qm

#---------------------------

%package module-last_seen
Summary:        Last seen module for Kadu
Group:          Networking/Instant messaging
Requires:       %{name} = %{version}-%{release}

%description module-last_seen
Last seen module for Kadu.


%files module-last_seen
%{_libdir}/%{name}/plugins/liblast_seen.so
%{_datadir}/%{name}/plugins/last_seen.desc
%{_datadir}/%{name}/plugins/translations/last_seen_*.qm

#---------------------------

%package module-led_notify
Summary:        Notification by LED
Group:          Networking/Instant messaging
Requires:       %{name} = %{version}-%{release}
# BuildRequires:	X11-devel >= 7.1.0

%description module-led_notify
Notification by keyboard's LED.


%files module-led_notify
%{_datadir}/%{name}/plugins/lednotify.desc
%{_datadir}/%{name}/plugins/configuration/lednotify.ui
%{_libdir}/%{name}/plugins/liblednotify.so
%{_datadir}/%{name}/plugins/translations/lednotify_*.qm

#---------------------------

%package module-mediaplayer
Summary:        Mediaplayer module for kadu
Group:          Networking/Instant messaging
Requires:       %{name} = %{version}-%{release}

%description module-mediaplayer
Mediaplayer module for kadu.


%files module-mediaplayer
%dir %{_datadir}/%{name}/plugins/data/mediaplayer
%{_libdir}/%{name}/plugins/libmediaplayer.so
%{_datadir}/%{name}/plugins/mediaplayer.desc
%{_datadir}/%{name}/plugins/configuration/mediaplayer.ui
%{_datadir}/%{name}/plugins/data/mediaplayer/mediaplayer.png
%{_datadir}/%{name}/plugins/translations/mediaplayer_*.qm

#---------------------------

%package module-mediaplayer_amarok1
Summary:        Amarok module for Kadu
Group:          Networking/Instant messaging
Requires:       %{name}-module-mediaplayer = %{version}-%{release}
Requires:       amarok

%description module-mediaplayer_amarok1
Module which allows showing in status description information about
the song currently played in Amarok.

%files module-mediaplayer_amarok1
%{_datadir}/%{name}/plugins/amarok1_mediaplayer.desc
%{_libdir}/%{name}/plugins/libamarok1_mediaplayer.so

#---------------------------

%package module-mediaplayer_falf
Summary:        Falf player module for Kadu
Group:          Networking/Instant messaging
Requires:       %{name}-module-mediaplayer = %{version}-%{release}
# There is no mpris in Mageia
#Requires:      falf >= 1.0

%description module-mediaplayer_falf
Module which allows showing in status description information about
the song currently played in Falf player.

%files module-mediaplayer_falf
%{_datadir}/%{name}/plugins/falf_mediaplayer.desc
%{_libdir}/%{name}/plugins/libfalf_mediaplayer.so

#---------------------------

%package module-mediaplayer_mpris
Summary:       Generic MPRIS media player support module
Group:         Networking/Instant messaging
Requires:      %{name}-module-mediaplayer = %{version}-%{release}
# There is no mpris in Mageia
#Requires:    mpris >= 1.0

%description module-mediaplayer_mpris
Module which allows showing in status description information about
the song currently played in MPRIS media player.


%files module-mediaplayer_mpris
%{_datadir}/%{name}/plugins/mprisplayer_mediaplayer.desc
%{_datadir}/%{name}/plugins/configuration/mprisplayer_mediaplayer.ui
%{_libdir}/%{name}/plugins/libmprisplayer_mediaplayer.so
%{_datadir}/%{name}/plugins/translations/mprisplayer_mediaplayer_*.qm

#---------------------------

# %package module-mediaplayer_amarok2
# Summary:	Amarok module for Kadu
# Group:		Networking/Instant messaging
# Requires:	%{name}-module-mediaplayer = %{version}-%{release}
# Requires:	amarok
# 
# %description module-mediaplayer_amarok2
# Module which allows showing in status description information about
# the song currently played in Amarok.
# 
# %files module-mediaplayer_amarok2
# %defattr(-,root,root)
# %{_datadir}/%{name}/plugins/amarok2_mediaplayer.desc
# %{_libdir}/%{name}/plugins/libamarok2_mediaplayer.so

#---------------------------

# %package module-mediaplayer_audacious
# Summary:	Support audacious status
# Group:		Networking/Instant messaging
# # BuildRequires:	audacious-devel
# # BuildRequires:	dbus-glib-devel
# Requires:	%{name}-module-mediaplayer = %{version}-%{release}
# Requires:	audacious
# 
# %description module-mediaplayer_audacious
# Module which allows showing in status description information about
# the song currently played in audacious.
# 
# %files module-mediaplayer_audacious
# %defattr(-,root,root)
# %{_datadir}/%{name}/plugins/audacious_mediaplayer.desc
# %{_libdir}/%{name}/plugins/libaudacious_mediaplayer.so

#---------------------------
#
# %package module-mediaplayer_vlc
# Summary:	VLC module for Kadu
# Group:		Networking/Instant messaging
# Requires:	%{name}-module-mediaplayer = %{version}-%{release}
# 
# %description module-mediaplayer_vlc
# Module which allows showing in status description information about
# the song currently played in VLC.
# 
# %files module-mediaplayer_vlc
# %defattr(-,root,root)
# %{_datadir}/%{name}/plugins/vlc_mediaplayer.desc
# %{_libdir}/%{name}/plugins/libvlc_mediaplayer.so

#---------------------------

%package module-mpd_mediaplayer
Summary:	Allows control of MPD playback
Group:		Networking/Instant messaging
Requires:	%{name} = %{version}-%{release}

%description module-mpd_mediaplayer
Allows control of MPD playback.

%files module-mpd_mediaplayer
%{_libdir}/%{name}/plugins/libmpd_mediaplayer.so
%{_datadir}/%{name}/plugins/configuration/mpd_config.ui
%{_datadir}/%{name}/plugins/data/mprisplayer_mediaplayer/mprisplayer-players.data
%{_datadir}/%{name}/plugins/mpd_mediaplayer.desc

#---------------------------
%package module-nextinfo
Summary:	New ext_info module providing extended buddies information support
Group:		Networking/Instant messaging
Requires:	%{name} = %{version}-%{release}

%description module-nextinfo
New ext_info module providing extended buddies information support Kadu.

%files module-nextinfo
%{_libdir}/%{name}/plugins/libnextinfo.so
%{_datadir}/%{name}/plugins/nextinfo.desc
%{_datadir}/%{name}/plugins/configuration/nextinfo.ui
%{_datadir}/%{name}/plugins/translations/nextinfo_*.qm

#---------------------------

%package module-panelkadu
Summary:	Module which makes Kadu look and behave like a panel
Group:		Networking/Instant messaging
Requires:	%{name} = %{version}-%{release}

%description module-panelkadu
Module which makes Kadu look and behave like a panel.

%files module-panelkadu
%{_datadir}/%{name}/plugins/panel%{name}.desc
%{_datadir}/%{name}/plugins/configuration/panel%{name}.ui
%{_libdir}/%{name}/plugins/libpanel%{name}.so
%{_datadir}/%{name}/plugins/translations/panel%{name}_*.qm

#---------------------------

# %package module-parser_extender
# Summary:	Module to extend Kadu Parser
# Group:		Networking/Instant messaging
# Requires:	%{name} = %{version}-%{release}
# 
# %description module-parser_extender
# Module to extend Kadu Parser.
# 
# %files module-parser_extender
# %defattr(-,root,root)
# %doc modules/parser_extender/Changelog
# %{_libdir}/%{name}/plugins/libparser_extender.so
# %{_datadir}/%{name}/plugins/parser_extender.desc
# %{_datadir}/%{name}/plugins/configuration/parser_extender.ui
# %lang(pl) %{_datadir}/%{name}/plugins/translations/parser_extender_*.qm

#---------------------------

%package module-pcspeaker
Summary:	PC-Speaker support
Group:		Networking/Instant messaging
Requires:	%{name} = %{version}-%{release}

%description module-pcspeaker
PC-Speaker support module.


%files module-pcspeaker
%{_datadir}/%{name}/plugins/pcspeaker.desc
%{_libdir}/%{name}/plugins/libpcspeaker.so
%{_datadir}/%{name}/plugins/translations/pcspeaker_*.qm

#---------------------------

%package module-phonon_sound
Summary:	Sound module using Phonon
Group:		Networking/Instant messaging
Requires:	%{name} = %{version}-%{release}
Requires:       phonon-backend
BuildRequires:  pkgconfig(phonon)

%description module-phonon_sound
Sound module using Phonon.


%files module-phonon_sound
%{_datadir}/%{name}/plugins/phonon_sound.desc
%{_libdir}/%{name}/plugins/libphonon_sound.so

#---------------------------

%package module-profiles_import
Summary:	Old Kadu profiles import
Group:		Networking/Instant messaging
Requires:	%{name} = %{version}-%{release}
Requires:	%{name}-module-gadu_protocol = %{version}-%{release}
Requires:	%{name}-module-history_migration = %{version}-%{release}

%description module-profiles_import
Old Kadu profiles import.


%files module-profiles_import
%{_datadir}/%{name}/plugins/profiles_import.desc
%{_libdir}/%{name}/plugins/libprofiles_import.so
%{_datadir}/%{name}/plugins/translations/profiles_import_*.qm

#---------------------------

%package module-qt4_docking
Summary:	Qt4 docking
Group:		Networking/Instant messaging
Requires:	%{name} = %{version}-%{release}
# Requires:	%{name}-module-docking = %{version}-%{release}   build-in

%description module-qt4_docking
Qt4 docking.

%files module-qt4_docking
%{_datadir}/%{name}/plugins/qt4_docking.desc
%{_libdir}/%{name}/plugins/libqt4_docking.so

#---------------------------

%package module-qt4_docking_notify
Summary:	Notification by qt4_docking module
Group:		Networking/Instant messaging
Requires:	%{name} = %{version}-%{release}
BuildRequires:	qt4-devel 		>= 4.2.0

%description module-qt4_docking_notify
Notification by qt4_docking module.

%files module-qt4_docking_notify
%{_datadir}/%{name}/plugins/qt4_docking_notify.desc
%{_datadir}/%{name}/plugins/configuration/qt4-docking-notify.ui
%{_libdir}/%{name}/plugins/libqt4_docking_notify.so
%{_datadir}/%{name}/plugins/translations/qt4_docking_notify_*.qm

#---------------------------

%package module-qt4_sound
Summary:	Sound module using Qt4 API
Group:		Networking/Instant messaging
Requires:	%{name} = %{version}-%{release}
BuildRequires:	qt4-devel

%description module-qt4_sound
Sound module using Qt4 API.


%files module-qt4_sound
%{_libdir}/%{name}/plugins/libqt4_sound.so
%{_datadir}/%{name}/plugins/qt4_sound.desc
%{_datadir}/%{name}/plugins/translations/qt4_sound_*.qm

#---------------------------

%package module-screenshot
Summary:	Simple ScreenShots module for Kadu
Group:		Networking/Instant messaging
Requires:	%{name} = %{version}-%{release}

%description module-screenshot
Simple ScreenShots module for Kadu.


%files module-screenshot
%{_datadir}/%{name}/plugins/screenshot.desc
%{_datadir}/%{name}/plugins/configuration/screenshot.ui
%{_libdir}/%{name}/plugins/libscreenshot.so
%{_datadir}/%{name}/plugins/translations/screenshot_*.qm

#---------------------------

%package module-sent_history
Summary:	Adds history of sent messages to chat windows
Group:		Networking/Instant messaging
Requires:	%{name} = %{version}-%{release}

%description module-sent_history
Adds history of sent messages to chat windows.


%files module-sent_history
%{_datadir}/%{name}/plugins/senthistory.desc
%{_datadir}/%{name}/plugins/configuration/senthistory.ui
%{_libdir}/%{name}/plugins/libsenthistory.so
%{_datadir}/%{name}/plugins/translations/senthistory_*.qm

#---------------------------

#%package module-server_monitor
#Summary:	Server Monitor Module
#Group:		Networking/Instant messaging
#Requires:	%{name} = %{version}-%{release}
#Requires:	%{name}-module-gadu_protocol = %{version}-%{release}

#%description module-server_monitor
#Server Monitor Module.

#%files module-server_monitor
#%defattr(-,root,root)
# %{_datadir}/%{name}/plugins/server_monitor.desc
# %{_datadir}/%{name}/plugins/configuration/server-monitor.ui
# %{_datadir}/%{name}/plugins/configuration/serverslist.txt
# %{_libdir}/%{name}/plugins/libserver_monitor.so
# %lang(pl) %{_datadir}/%{name}/plugins/translations/server_monitor_*.qm

#---------------------------

%package module-simpleview
Summary:	Simple view module
Group:		Networking/Instant messaging
Requires:	%{name} = %{version}-%{release}

%description module-simpleview
Simple view module.

%files module-simpleview
%{_datadir}/%{name}/plugins/simpleview.desc
%{_datadir}/%{name}/plugins/configuration/simpleview.ui
%{_libdir}/%{name}/plugins/libsimpleview.so
%{_datadir}/%{name}/plugins/translations/simpleview_*.qm

#---------------------------

%package module-single_window
Summary:	Provides Single Window Mode
Group:		Networking/Instant messaging
Requires:	%{name} = %{version}-%{release}

%description module-single_window
Provides Single Window Mode.

%files module-single_window
%{_datadir}/%{name}/plugins/single_window.desc
%{_datadir}/%{name}/plugins/configuration/single_window.ui
%{_libdir}/%{name}/plugins/libsingle_window.so
%{_datadir}/%{name}/plugins/translations/single_window_*.qm

#---------------------------

%package module-sms
Summary:	SMS module
Group:		Networking/Instant messaging
Requires:	%{name} = %{version}-%{release}
Requires:	%{name}-module-history = %{version}-%{release}

%description module-sms
SMS module.


%files module-sms
%{_datadir}/%{name}/plugins/sms.desc
%{_datadir}/%{name}/plugins/configuration/sms.ui
%dir %{_datadir}/%{name}/plugins/data/sms
%{_datadir}/%{name}/plugins/data/sms/*
%{_libdir}/%{name}/plugins/libsms.so
%{_datadir}/%{name}/plugins/translations/sms_*.qm

#---------------------------

%package module-speech
Summary:    Speech synthesis support
Group:      Networking/Instant messaging
Requires:   %{name} = %{version}-%{release}

%description module-speech
Speech synthesis support.


%files module-speech
%{_datadir}/%{name}/plugins/speech.desc
%{_datadir}/%{name}/plugins/configuration/speech.ui
%{_libdir}/%{name}/plugins/libspeech.so
%{_datadir}/%{name}/plugins/translations/speech_*.qm

#---------------------------

%package module-spellchecker
Summary:	Spellchecker module for Kadu
Group:		Networking/Instant messaging
Requires:	%{name} = %{version}-%{release}
BuildRequires:	enchant-devel
Requires:       enchant-dictionary
Suggests:       hunspell-pl

%description module-spellchecker
Checker of spelling mistakes.


%files module-spellchecker
%{_datadir}/%{name}/plugins/spellchecker.desc
%{_datadir}/%{name}/plugins/configuration/spellchecker.ui
%{_libdir}/%{name}/plugins/libspellchecker.so
%{_datadir}/%{name}/plugins/translations/spellchecker_*.qm

#---------------------------

%package module-sql_history
Summary:	SQL history storage module
Group:		Networking/Instant messaging
Requires:	%{name} = %{version}-%{release}
Requires:	%{name}-module-history = %{version}-%{release}

%description module-sql_history
SQL history storage module.


%files module-sql_history
%{_datadir}/%{name}/plugins/sql_history.desc
%{_libdir}/%{name}/plugins/libsql_history.so
%{_datadir}/%{name}/plugins/translations/sql_history_*.qm

#---------------------------

%package module-tabs
Summary:	Tabbed chat dialog module
Group:		Networking/Instant messaging
Requires:	%{name} = %{version}-%{release}

%description module-tabs
Tabbed chat dialog module.


%files module-tabs
%{_datadir}/%{name}/plugins/tabs.desc
%{_datadir}/%{name}/plugins/configuration/tabs.ui
%{_libdir}/%{name}/plugins/libtabs.so
%{_datadir}/%{name}/plugins/translations/tabs_*.qm

#---------------------------

%package module-word_fix
Summary:	Automatic word replacement module for %{name}
Group:		Networking/Instant messaging
Requires:	%{name} = %{version}-%{release}

%description module-word_fix
Automatic word replacement module for %{name}.


%files module-word_fix
%dir %{_datadir}/%{name}/plugins/data/word_fix
%{_libdir}/%{name}/plugins/libword_fix.so
%{_datadir}/%{name}/plugins/word_fix.desc
%{_datadir}/%{name}/plugins/configuration/word_fix.ui
%{_datadir}/%{name}/plugins/data/word_fix/*.data
%{_datadir}/%{name}/plugins/translations/word_fix_*.qm

#----------Icons----------
%package icons_glass
Summary: 	Glass icons for Kadu
Group:		Networking/Instant messaging
License:	GPLv2+
Requires:	%{name} = %{version}-%{release}

%description icons_glass
Glass icon theme for kadu created by Mariusz Waluga.


%files icons_glass
%dir %{_datadir}/%{name}/themes/icons/glass
%{_datadir}/%{name}/themes/icons/glass/*

#---------------------------

%package icons_oxygen
Summary: 	Oxygen icons for Kadu
Group:		Networking/Instant messaging
License:	GPLv2+
Requires:	%{name} = %{version}-%{release}

%description icons_oxygen
Oxygen icon theme for kadu.


%files icons_oxygen
%dir %{_datadir}/%{name}/themes/icons/oxygen
%{_datadir}/%{name}/themes/icons/oxygen/*


#----------Emoticons----------
%package emoticons_penguins
Summary: 	Penguins emoticons for Kadu
Group:		Networking/Instant messaging
License:	GPLv2+
Requires:	%{name} = %{version}-%{release}

%description emoticons_penguins
Penguins emoticons for Kadu.


%files emoticons_penguins
%dir %{_datadir}/%{name}/themes/emoticons/penguins
%{_datadir}/%{name}/themes/emoticons/penguins/*

#---------------------------

%package emoticons_tango
Summary: 	Tango emoticons for Kadu
Group:		Networking/Instant messaging
License:	GPLv2+
Requires:	%{name} = %{version}-%{release}

%description emoticons_tango
Tango emoticons for Kadu.


%files emoticons_tango
%dir %{_datadir}/%{name}/themes/emoticons/tango
%{_datadir}/%{name}/themes/emoticons/tango/*

#----------Sounds----------
%package sound_default
Summary: 	Default set of sounds for Kadu
Group:		Networking/Instant messaging
License:	GPLv2+
Requires:	%{name} = %{version}-%{release}

%description sound_default
Default set of sounds for Kadu.


%files sound_default
%dir %{_datadir}/%{name}/themes/sounds/default
%{_datadir}/%{name}/themes/sounds/default/*
%{_datadir}/%{name}/plugins/translations/sound_*.qm

#---------------------------

%package sound_bns
Summary: 	BNS set of sounds for Kadu
Group:		Networking/Instant messaging
License:	GPLv2+
Requires:	%{name} = %{version}-%{release}

%description sound_bns
BNS set of sounds for Kadu.


%files sound_bns
%doc varia/themes/sounds/bns/readme.txt
%dir %{_datadir}/%{name}/themes/sounds/bns
%{_datadir}/%{name}/themes/sounds/bns/*

#---------------------------

%package sound_drums
Summary: 	Drums set of sounds for Kadu
Group:		Networking/Instant messaging
License:	GPLv2+
Requires:	%{name} = %{version}-%{release}

%description sound_drums
Drums set of sounds for Kadu.


%files sound_drums
%doc varia/themes/sounds/drums/README.txt
%dir %{_datadir}/%{name}/themes/sounds/drums
%{_datadir}/%{name}/themes/sounds/drums/*

#---------------------------

%package sound_florkus
Summary: 	Florkus set of sounds for Kadu
Group:		Networking/Instant messaging
License:	GPLv2+
Requires:	%{name} = %{version}-%{release}

%description sound_florkus
Florkus set of sounds for Kadu.


%files sound_florkus
%doc varia/themes/sounds/florkus/readme.txt
%dir %{_datadir}/%{name}/themes/sounds/florkus
%{_datadir}/%{name}/themes/sounds/florkus/*

#---------------------------

%package sound_michalsrodek
Summary: 	Set of sounds for Kadu by Michal Srodek
Group:		Networking/Instant messaging
License:	GPLv2+
Requires:	%{name} = %{version}-%{release}

%description sound_michalsrodek
Set of sounds for Kadu by Michal Srodek.


%files sound_michalsrodek
%doc varia/themes/sounds/michalsrodek/readme.txt
%dir %{_datadir}/%{name}/themes/sounds/michalsrodek
%{_datadir}/%{name}/themes/sounds/michalsrodek/*

#---------------------------

%package sound_percussion
Summary: 	Percussion set of sounds for Kadu
Group:		Networking/Instant messaging
License:	GPLv2+
Requires:	%{name} = %{version}-%{release}

%description sound_percussion
Default set of sounds for Kadu.


%files sound_percussion
%doc varia/themes/sounds/percussion/README.txt
%dir %{_datadir}/%{name}/themes/sounds/percussion
%{_datadir}/%{name}/themes/sounds/percussion/*

#----------Devel----------
%package devel
Summary: 	Development files for Kadu
Group:		Networking/Instant messaging
License:	GPLv2+
Requires:	%{name} = %{version}-%{release}

%description devel
Development files for Kadu.


%files devel
%dir %{_includedir}/%{name}/
%{_includedir}/%{name}/*
%{_datadir}/%{name}/plugins/sdk/*
%{_datadir}/cmake/Modules/FindKadu.cmake

#--------------------------------------------------------------
# setup .config file

%prep
%setup -q
tar xf %{_sourcedir}/anonymous_check-%{anonymous_check_version}.tar.bz2 -C plugins
tar xf %{_sourcedir}/globalhotkeys-%{globalhotkeys_version}.tar.gz -C plugins
tar xf %{_sourcedir}/lednotify-%{lednotify_version}.tar.gz -C plugins
tar xf %{_sourcedir}/mime_tex-%{mime_tex_version}.tar.bz2 -C plugins
tar xf %{_sourcedir}/nextinfo-%{nextinfo_version}.tar.gz -C plugins
tar xf %{_sourcedir}/panel%{name}-%{panelkadu_version}.tar.gz -C plugins
tar xf %{_sourcedir}/senthistory-%{senthistory_version}.tar.gz -C plugins
tar xf %{_sourcedir}/import_history-%{import_history_version}.tar.bz2 -C plugins

tar xf %{_sourcedir}/%{name}-sound-bns.tar.bz2 -C varia/themes/sounds
tar xf %{_sourcedir}/%{name}-sound-drums.tar.bz2 -C varia/themes/sounds
tar xf %{_sourcedir}/%{name}-sound-florkus.tar.bz2 -C varia/themes/sounds
tar xf %{_sourcedir}/%{name}-sound-michalsrodek.tar.bz2 -C varia/themes/sounds
tar xf %{_sourcedir}/%{name}-sound-percussion.tar.bz2 -C varia/themes/sounds

%build
#additional plugins:
sed -i 's/set (DEFAULT_PLUGINS/set (DEFAULT_PLUGINS globalhotkeys import_history lednotify nextinfo panel%{name} senthistory anonymous_check/' Plugins.cmake

#additional sounds:
sed -i 's/set (SOUND_THEMES/set (SOUND_THEMES bns drums florkus michalsrodek percussion/' varia/themes/sounds/CMakeLists.txt

# force the right lib path and set DETAILED_VERSION
sed -i -e 's|set (LIBDIR ${CMAKE_INSTALL_PREFIX}/lib)|set (LIBDIR %{_libdir})|' CMakeLists.txt
sed -i -e 's|#define DETAILED.*|#define DETAILED_VERSION "%{name}-%{version}-%{release}"|' kadu-config.h.cmake

# change sounds path
sed -i -e 's|share/kadu/themes/sound|share/kadu/themes/sounds|g' varia/themes/sounds/CMakeLists.txt

%define _disable_ld_no_undefined 1
%define Werror_cflags %nil

%cmake \
    -DBUILD_DESCRIPTION="%vendor" \
    -DENABLE_AUTODOWNLOAD:BOOL=OFF \
%if "%{_lib}" == "lib64"
    -DLIB_SUFFIX_64:BOOL=ON \
%endif
    -DCMAKE_USE_PTHREADS:BOOL=ON

%make

%install
%makeinstall_std -C build/
%find_lang %{name}
desktop-file-install \
	--dir %{buildroot}%{_datadir}/applications %{SOURCE1}

rm -rf `find %{buildroot} -name CVS`

# Warnings for user
cat > README.urpmi <<EOF

Warning: Falf and Mpris modules are included into Mageia, but need externally
installed software.
EOF

%files
%doc HISTORY README VERSION THANKS AUTHORS
%{_bindir}/%{name}
%{_datadir}/applications/%{name}.desktop

#default directories
%dir %{_libdir}/%{name}
%dir %{_libdir}/%{name}/plugins
%dir %{_datadir}/%{name}
%dir %{_datadir}/%{name}/configuration
%dir %{_datadir}/%{name}/translations
%dir %{_datadir}/%{name}/plugins
%dir %{_datadir}/%{name}/plugins/data
%dir %{_datadir}/%{name}/plugins/translations
%dir %{_datadir}/%{name}/scripts
%dir %{_datadir}/%{name}/themes
%dir %{_datadir}/%{name}/themes/emoticons
%dir %{_datadir}/%{name}/themes/icons
%{_datadir}/%{name}/syntax
%{_iconsdir}/hicolor/*/apps/*.png
%exclude %{_datadir}/%{name}/HISTORY
%exclude %{_datadir}/%{name}/README
%exclude %{_datadir}/%{name}/AUTHORS
%exclude %{_datadir}/%{name}/ChangeLog
%exclude %{_datadir}/%{name}/ChangeLog.OLD-PL
%exclude %{_datadir}/%{name}/COPYING
%exclude %{_datadir}/%{name}/THANKS
%{_datadir}/%{name}/scripts/chat-scripts.js
%{_datadir}/%{name}/configuration/dialog-look-chat-advanced.ui
%{_datadir}/%{name}/configuration/dialog.ui
#%{_datadir}/%{name}/configuration/contact-account-data.ui
#%{_datadir}/%{name}/configuration/contact-data.ui

#icons_default
%dir %{_datadir}/%{name}/themes/icons/default
%{_datadir}/%{name}/themes/icons/default/*

#sounds_dir
%dir %{_datadir}/%{name}/themes/sounds

#----------Static modules----------

#module_docking
%{_libdir}/%{name}/plugins/libdocking.so
%{_datadir}/%{name}/plugins/docking.desc
%{_datadir}/%{name}/plugins/configuration/docking.ui
%{_datadir}/%{name}/plugins/translations/docking_*.qm

#module_sound
%{_datadir}/%{name}/plugins/sound.desc
%{_libdir}/%{name}/plugins/libsound.so
%{_datadir}/%{name}/plugins/configuration/sound.ui
%{_datadir}/%{name}/plugins/translations/sound_*.qm

#----------

#global translation:
%{_datadir}/%{name}/translations/%{name}_*.qm
%lang(pl) %{_datadir}/%{name}/translations/*.language


%changelog

* Thu May 03 2012 kamil <kamil> 0.11.3-1.mga2
+ Revision: 234601
- new version kadu 0.11.3

* Thu Apr 05 2012 kamil <kamil> 0.11.2-4.mga2
+ Revision: 228755
- add requirement of enchant-dictionary and suggestion of hunspell-pl for the spellchecking plugin

* Wed Apr 04 2012 kamil <kamil> 0.11.2-3.mga2
+ Revision: 228506
- update anonymous_check module 0.11.0-1
- fix build of anonymous_check (it was missed)

* Wed Apr 04 2012 kamil <kamil> 0.11.2-2.mga2
+ Revision: 228338
- obsolete dropped modules

* Tue Apr 03 2012 kamil <kamil> 0.11.2-1.mga2
+ Revision: 228231
- drop nonfree: kadu-sound-ultr and icons kompatybilne_z_GG6
- new version 0.11.2

* Wed Mar 07 2012 kamil <kamil> 0.11.1-1.mga2
+ Revision: 221307
- new version 0.11.1

* Wed Mar 07 2012 kamil <kamil> 0.11.0-1.mga2
+ Revision: 221282
- new version 0.11.0
- new version kadu-0.11.0
- update modules
  o globalhotkeys-0.11-31
  o import_history-0.11.0
  o lednotify-0.11-32
  o nextinfo-0.11-8
  o panelkadu-0.11-9
  o senthistory-0.11-10
- fix requirement on phonon (require phonon-backend by the phonon plug-in)

* Wed Feb 01 2012 kamil <kamil> 0.10.1-5.mga2
+ Revision: 203796
- add missing buildrequires
  o libsndfile-devel
  o pkgconfig(phonon)
- add missing requirement for the Phonon module
  o phonon

* Wed Feb 01 2012 kamil <kamil> 0.10.1-4.mga2
+ Revision: 203789
- add qt4-database-plugin-sqlite as a buildrequirement for kadu-module-history
- fix spellchecker module and use enchant in the place of aspell (mga#3757)

* Sun Jan 29 2012 kamil <kamil> 0.10.1-3.mga2
+ Revision: 202918
- rebuild against new libgadu-1.11.1

* Wed Jan 25 2012 kamil <kamil> 0.10.1-2.mga2
+ Revision: 200672
- add warning about falf and mpris

* Sun Dec 18 2011 fwang <fwang> 0.10.1-1.mga2
+ Revision: 183714
- fix summary
- update file list
- br qtwebkit

  + kamil <kamil>
    - cleaning after kicer86 (part 2)
    - cleaning after kicer86 (part 1)

  + kicer86 <kicer86>
    - update to kadu 0.10.1
    - added external modules
    - added new internal modules, sounds and icons
    - cleanups (conditional modules build removed)

* Sat Sep 10 2011 fwang <fwang> 0.10.0-1.mga2
+ Revision: 142061
- finally update file layout
- update file list
- fix module build
- tweak br
- add br
- new version 0.10.0 (drop all unmaintained 3rd-party stuffs)

* Thu Apr 14 2011 kicer86 <kicer86> 0.9.1-1.mga1
+ Revision: 85149
- simple spec corrections
- spec corrections:
    o kadu-module-mediaplayer_falf added to obsoletes
    o .config setup moved to %%build
- update to version 0.9.1
- added translations for english language
- added new module - "import history"
- removed module falf

* Fri Apr 01 2011 kicer86 <kicer86> 0.9.0-2.mga1
+ Revision: 79463
- Changed minimal required version of libgadu to 1.10.1. Solution for bug 597

* Tue Mar 29 2011 kicer86 <kicer86> 0.9.0-1.mga1
+ Revision: 78802
- spec corrections
- imported package kadu


* Sun Mar 13 2011 Michal Walenciak <kicer86@gmail.com> 
- First Mageia spec: some cleanups
- update to version 0.9.0:
  o Dropped all redundant sources and patches (as most of modules is now in main package)
  o removed some scripts
  o added suggestions
- modules cleanup:
  o all old and blacklisted modules removed
  o new modules added
  o all modules (except static ones), moved into separate rpms
  o moved sounds into separate rpms
  o updated modules dependencies

* Sat May 15 2010 Tomasz Pawel Gajc <tpg@mandriva.org> 0.6.5.4-2mdv2010.1
+ Revision: 544854
- drop requires on powiedz

* Sun Mar 07 2010 Tomasz Pawel Gajc <tpg@mandriva.org> 0.6.5.4-1mdv2010.1
+ Revision: 515520
- update to new version 0.6.5.4
- update modules globalhotkeys, kde_notify and tabs
- update themes
- add tango theme
- enable modules qt4-sound, speech dbus, mpris
- disable modules mail

* Sat Nov 14 2009 Tomasz Pawel Gajc <tpg@mandriva.org> 0.6.5.3-4mdv2010.1
+ Revision: 466055
- fix file list
- enable mediaplayer modules

* Sat Oct 10 2009 Tomasz Pawel Gajc <tpg@mandriva.org> 0.6.5.3-3mdv2010.0
+ Revision: 456532
- rebuild for new libgadu

* Thu Oct 08 2009 Tomasz Pawel Gajc <tpg@mandriva.org> 0.6.5.3-2mdv2010.0
+ Revision: 455871
- rebuild for new curl SSL backend

* Sun Sep 20 2009 Tomasz Pawel Gajc <tpg@mandriva.org> 0.6.5.3-1mdv2010.0
+ Revision: 445732
- fix instalation on x86_64
- update to new version 0.6.5.3
- drop patch 8, fixed upstream
- new module kde4-notify
- update modules:
  o anonymous_check
  o globalhotkeys
  o mail
  o mime_tex
  o plus_pl_sms
  o panelkadu
  o powerkadu
  o sent_history
  o water notify
  o weather
  o tabs

* Sat Jun 06 2009 Tomasz Pawel Gajc <tpg@mandriva.org> 0.6.5.2-1mdv2010.0
+ Revision: 383347
- update to new version 0.5.6.2
- disable profiles module for now
- Patch8: fix compiling against gcc-4.4.0
- add missing buildrequires on qca-devel
- new module - idle
- fix file list

* Sat Dec 20 2008 Tomasz Pawel Gajc <tpg@mandriva.org> 0.6.5-2mdv2009.1
+ Revision: 316458
- module miastoplusa_sms is obsoleted by plus_pl_sms module
- fix sound theme install directory
- use %%define Werror_cflags

* Sat Dec 13 2008 Tomasz Pawel Gajc <tpg@mandriva.org> 0.6.5-1mdv2009.1
+ Revision: 313865
- fix building on x86_64 (cmake stuff doesn't obey lib64 ?)
- update modules anonymous_check and mime_tex
- disable module weather
- kill devel subpackage
- fix file list
- few external modules was adopted by upstream, which means these are now in tarball
  o exec_notify, filedesc, filterning, firewall, pcspeaker, profiles, screenshot, spellchecker, antistring, auto_hide, cenzor, parser_extender,word_fix, last_seen and autostatus
- do not check for upstream new releases
- fix libdir
- set up proper DETAILED_VERSION
- use %%define _disable_ld_no_undefined 1
- fix file list (that was a real mess :)
- Patch6: rediff
- still work in progress
- disable autodownload moudules/themes etc.
- update to version 0.6.5
  o work in progress
  o kadu uses now Qt4 toolkit
- add buildrequires on cmake and libpng-devel
- disable all patches

* Fri Jul 18 2008 Tomasz Pawel Gajc <tpg@mandriva.org> 0.6.0.2-3mdv2009.0
+ Revision: 238060
- fix missing kadu entry in KDE menu (#42101)

* Sat Jul 12 2008 Tomasz Pawel Gajc <tpg@mandriva.org> 0.6.0.2-2mdv2009.0
+ Revision: 234090
- do not change dataPath, as it is working fine(hard to tell why i've modified this :| )
- remove not working configure options

* Fri Jul 11 2008 Tomasz Pawel Gajc <tpg@mandriva.org> 0.6.0.2-1mdv2009.0
+ Revision: 233661
- add buildrequires on sqlite3-devel
- new module desc_history
- tar is quite smart, it can figure out what kind of archive it is dealing with ;)
- update to new version 0.6.0.2

  + Pixel <pixel@mandriva.com>
    - rpm filetriggers deprecates update_menus/update_scrollkeeper/update_mime_database/update_icon_cache/update_desktop_database/post_install_gconf_schemas

* Wed May 28 2008 Tomasz Pawel Gajc <tpg@mandriva.org> 0.6.0.1-1mdv2009.0
+ Revision: 212734
- update to new version 0.6.0.1
- new modules
  o autostatus
  o globalhotkeys
- update modules
  o firewall
  o last_seen
  o mime_tex
  o panelkadu
  o powerkadu
  o tabs
- disable arts module
- spec file clean

* Sat Mar 08 2008 Tomasz Pawel Gajc <tpg@mandriva.org> 0.6.0-1mdv2008.1
+ Revision: 182160
- drop patch 0, use sed instead
- add new icons themes:
  o tango
  o oxygen
- new modules:
  o anonymous
  o antistring
  o auto_hide
  o cenzor
  o last_seen
  o mime_tex
  o parser_extender
  o split_messages
  o word_fix
- obsolete module-xqf
- update to the stable version 0.6.0
- use conditionals for building modules
- rediff patches 4 and 5
- drop patch 2
- tune up desktop file
- new release candidate
- new module: panelkadu
- update osdhints_notify module

* Sun Feb 17 2008 Tomasz Pawel Gajc <tpg@mandriva.org> 0.6.0-0.rc3.1mdv2008.1
+ Revision: 170057
- add water_notify plugin, which enables notifications by water effet in compiz
- add patch 7, which enables building of water_plugin on x86_64
- export -DDBUS_API_SUBJECT_TO_CHANGE
- update modules
  o agent
  o filtering
  o firewall
  o mediaplayer
  o osdhints_notify
  o tabs
- update to latest release candidate

* Fri Feb 08 2008 Tomasz Pawel Gajc <tpg@mandriva.org> 0.6.0-0.rc2.1mdv2008.1
+ Revision: 164208
- update to the latest release candidate rc2
- update modules
- enable modules
  o osdhints_notify
  o pcspeaker
- update modules
  o filtering
  o led_notify
  o mediaplayer
  o pcspeaker
  o weather

* Sun Jan 20 2008 Tomasz Pawel Gajc <tpg@mandriva.org> 0.6.0-0.rc1.1mdv2008.1
+ Revision: 155420
- add falf mediaplayer module
- fix linking against libgsm with patch 6
- exclude net needed files
- let's submit this ;)
- fix file list
- module-amarok became module-mediaplayer-amarok
- module-xmms became module-mediaplayer-xmms
- fix modules data path
- remove hardcoded icon extension in desktop file
- use desktop-file-install
- update firewall module
- update modules
  o amarok
  o dcopexport
  o falf
  o filedesc
  o miastoplusa
  o osd_hints
  o powerkadu
  o profiles
  o screenshot
  o spellchecker
  o xmms
- new modules
  o mediaplayer
  o agent
- configure script can now disable autodownloading feature, so patch 3 is not needed anymore
- update kadu modules to the latest release
  o xosd_notify
  o screenshot
  o weather
  o tabs
  o xmms
  o led_notify
  o ext_info
- update glass icon theme
- add new tango icon theme
- rediff patch 0
- somehow sources didn't get synced, a bad sign ?
- new release candidate
- this is a work-in-progress, because not all modules will be working(with 0.6.0+) and probably lot of them will be droped, as just upstream did
- let's begin ;)

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request

* Fri Dec 14 2007 Tomasz Pawel Gajc <tpg@mandriva.org> 0.5.0-9mdv2008.1
+ Revision: 119606
- new license policy

* Wed Jun 13 2007 Tomasz Pawel Gajc <tpg@mandriva.org> 0.5.0-9mdv2008.0
+ Revision: 38616
- rebuild against libgadu
- use default files attributes
- set requires on falf for a module-falfpl

* Tue May 22 2007 Tomasz Pawel Gajc <tpg@mandriva.org> 0.5.0-7mdv2008.0
+ Revision: 29625
- correct configure options

* Sun Apr 29 2007 Tomasz Pawel Gajc <tpg@mandriva.org> 0.5.0-6mdv2008.0
+ Revision: 19139
- rebuild against libgadu 1.7
- some spec file cleans


* Tue Feb 27 2007 Tomasz Pawel Gajc <tpg@mandriva.org> 0.5.0-5mdv2007.0
+ Revision: 126628
- drop not needed requires/provides

* Tue Feb 13 2007 Tomasz Pawel Gajc <tpg@mandriva.org> 0.5.0-4mdv2007.1
+ Revision: 120304
- move icons to more appropriate directory
- remove twice listed directory

* Fri Feb 09 2007 Tomasz Pawel Gajc <tpg@mandriva.org> 0.5.0-3mdv2007.1
+ Revision: 118397
- rebuild
- add better provides for devel package
- fix typo
- drop patch 1
- own missing directories
- some minor cleans in spec file

* Wed Jan 03 2007 Tomasz Pawel Gajc <tpg@mandriva.org> 0.5.0-1mdv2007.1
+ Revision: 103878
- final release 0.5.0
- updated modules advanced_userlist, dcopexport, exec_notify
- disable kadu_cumulative-20061230 patch
- module encryption now is in main package

* Sun Dec 31 2006 Tomasz Pawel Gajc <tpg@mandriva.org> 0.5.0-0.20061231.1mdv2007.1
+ Revision: 103003
- forgot to add falfpl and qf modules :(
- spec file clean
- weather in now standalone module
- new snapshot
- new module xqf
- updated falf, tabs and xmms modules
- drop patches 8, 9
- add kadu_cumulative-20061230 patch

* Sat Dec 23 2006 Tomasz Pawel Gajc <tpg@mandriva.org> 0.5.0-0.20061223.1mdv2007.1
+ Revision: 101946
-new snapshot
- updated modules ext_info, filtering and firewall
- added new modules spy and falfp
- spec file clean
- added %%multiarch for kadu-config (thanks goes to Anssi and misc)
- updated docs for few modules

* Mon Nov 27 2006 Götz Waschk <waschk@mandriva.org> 0.5.0-0.20061127.1mdv2007.1
+ Revision: 87388
- new snapshot
- update the screenshot, powerkadu and dcopexport modules

* Wed Nov 08 2006 Götz Waschk <waschk@mandriva.org> 0.5.0-0.20061108.1mdv2007.0
+ Revision: 78161
- add new
- add new version
- new snapshot
- update amarok, screenshot, xmms and snapshot
- add advanced userlist
- drop patches 6,7,9
- spec fixes
- move desktop entry to the right dir

* Wed Nov 01 2006 Götz Waschk <waschk@mandriva.org> 0.5.0-0.20061101.2mdv2007.1
+ Revision: 75046
- fix buildrequires
- new version
- new snapshot
- update ext_info and powerkadu
- spec fixes
- patch all modules that use an old API
- new snapshot
- add devel package
- spec cleanup

* Thu Oct 26 2006 Götz Waschk <waschk@mandriva.org> 0.5.0-0.20061023.1mdv2007.1
+ Revision: 72614
- Import kadu

* Thu Oct 26 2006 Götz Waschk <waschk@mandriva.org> 0.5.0-0.20061023.1mdv2007.1
- fix desktop entry
- spec file cleanup

* Wed Oct 25 2006 Tomasz Paweł Gajc <phenomenal at wp dot pl> 0.5.0-0.20061023.1mdv2007.1
- New snapshot
- Alsa is now default sound subsystem

* Mon Oct 23 2006 Tomasz Paweł Gajc <phenomenal at wp dot pl> 0.5.0-0.20061022.1mdv2007.1
- initial package for mdv
- patches 0,1,2,3

